Name:           uflash
Version:        1.1.2
Release:        2%{?dist}
Summary:        A module and utility to flash Python onto the BBC micro:bit
Group:          Development/Tools
License:        MIT
URL:            https://github.com/ntoll/uflash
Source0:        https://files.pythonhosted.org/packages/source/u/%{name}/%{name}-%{version}.tar.gz

# For tests, they don't have tags
%define hash    67eadaad00514444725a2e0fa1c8ff2864e39f26
Source1:        https://github.com/ntoll/uflash/archive/%{hash}.tar.gz
BuildRequires:  python3-pytest

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nudatus

Requires:       python3-setuptools
Recommends:     python3-nudatus

BuildArch:      noarch

# Other tools are using this as a module, so provide also the python3- name
Provides:       python3-%{name} == %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description
A utility for flashing the BBC micro:bit with Python scripts and the
MicroPython runtime. You pronounce the name of this utility "micro-flash". ;-)
It provides two services. A library of functions to programatically create a
hex file and flash it onto a BBC micro:bit.  A command line utility called
uflash that will flash Python scripts onto a BBC micro:bit.


%prep
%setup -q


%build
%py3_build

%install
%py3_install

%check
tar -xf %{SOURCE1}
mv %{name}-%{hash}/tests .
rm -rf %{name}-%{hash}

py.test-3 -vv

%files
%doc README.rst CHANGES.rst
%license LICENSE
%{_bindir}/uflash
%{python3_sitelib}/uflash*
%{python3_sitelib}/__pycache__/uflash*



%changelog
* Tue Apr 10 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.2-2
- BR and recommend nudatus

* Tue Apr 10 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.2-1
- Update to 1.1.2
- Provide python3-uflash

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-2
- Rebuild for Python 3.6

* Tue Aug 16 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-1
- Update to 1.0.3
- Use new %%py3_ macros for build and install
- Update source URL
- Include LICENSE and CHANGES.rst
- Require setuptools for entrypoints
- Add tests

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18b0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jan 18 2016 Kushal Das <kushal@fedoraprojects.org> - 0.9.18b0-1
- Initial package creation
